Skip to Content

Get a template registration

Returns one registration: its status, the category the provider assigned, and why the provider rejected, paused, or disabled it.

GET
/v1/templates/{id}/registrations/{registrationId}

Returns one registration: its status, the category the provider assigned, and why the provider rejected, paused, or disabled it.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$
registrationId*string
Match^treg_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

TemplateRegistration

application/json
  1. response
id*TemplateRegistrationId
Match^treg_[0-9a-hjkmnp-tv-z]{16,24}$
templateId*TemplateId
Match^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$
publicationId*TemplatePublicationId
Match^tpub_[0-9a-hjkmnp-tv-z]{16,24}$
target*|
name*string
language*string
status*string
Value in"draft""submitted""approved""rejected""paused""disabled"
category*string
Value in"marketing""utility""authentication""transactional""service_implicit""service_explicit""promotional"
providerCategory*|null
providerTemplateId*string|null
reason*string|null
submittedAt*string|null
statusChangedAt*string
createdAt*string
updatedAt*string
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.templateRegistrations.get({
  "id": "example",
  "registrationId": "example"
});
Example Response
{
  "id": "string",
  "templateId": "string",
  "publicationId": "string",
  "target": {
    "provider": "whatsapp",
    "wabaId": "string"
  },
  "name": "string",
  "language": "string",
  "status": "draft",
  "category": "marketing",
  "providerCategory": "marketing",
  "providerTemplateId": "string",
  "reason": "string",
  "submittedAt": "string",
  "statusChangedAt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Related documentation